> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Avatar List from Library

> Get a list of available avatars with specified filters



## OpenAPI

````yaml GET /avatars
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /avatars:
    get:
      tags:
        - Avatar
      summary: Get Avatar List
      description: Get a list of available avatars with specified filters
      parameters:
        - name: aspect_ratio
          in: query
          description: |



            Screen aspect ratio:



            * 0 - [9:16]



            * 1 - [16:9]



            * 2 - [1:1]
          required: false
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
        - name: style
          in: query
          description: |



            Avatar style:



            * professional



            * social
          required: false
          schema:
            type: string
            enum:
              - professional
              - social
        - name: gender
          in: query
          description: |



            Avatar gender:



            * male



            * female
          required: false
          schema:
            type: string
            enum:
              - male
              - female
        - name: age
          in: query
          description: |



            Avatar age:



            * adult



            * senior



            * young_adult
          required: false
          schema:
            type: string
            enum:
              - adult
              - senior
              - young_adult
        - name: scene
          in: query
          description: |
            Avatar scene:
            * lifestyle
            * outdoors
            * business
            * studio
            * health_fitness
            * education
            * news
          required: false
          schema:
            type: string
            enum:
              - lifestyle
              - outdoors
              - business
              - studio
              - health_fitness
              - education
              - news
        - name: ethnicity
          in: query
          description: |
            Avatar ethnicity:
            * european
            * african
            * south_asian
            * east_asian
            * middle_eastern
            * south_american
            * north_american
          required: false
          schema:
            type: string
            enum:
              - european
              - african
              - south_asian
              - east_asian
              - middle_eastern
              - south_american
              - north_american
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          avatars:
                            type: array
                            items:
                              type: object
                              properties:
                                avatar_id:
                                  type: integer
                                  description: Avatar ID
                                  example: 81
                                name:
                                  type: string
                                  description: Avatar name
                                  example: Amanda outdoors
                                cover_url:
                                  type: string
                                  description: URL of the cover image
                                  example: >-
                                    https://res.jogg.ai/f178cf5273dd9cbd506f27426966c1ae501cae27-cover.png
                                aspect_ratio:
                                  type: integer
                                  description: Screen aspect ratio
                                  example: 0
                                style:
                                  type: string
                                  description: Avatar style
                                  example: professional
                                gender:
                                  type: string
                                  description: Avatar gender
                                  example: female
                                age:
                                  type: string
                                  description: Avatar age
                                  example: adult
components:
  schemas:
    BaseResponse:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          description: |



            Business status code:



            * 0 - Success



            * 10104 - Record not found



            * 10105 - Invalid API key



            * 18020 - Insufficient credit



            * 18025 - No permission to call APIs.



            * 40000 - Parameter error



            * 50000 - System error
        msg:
          type: string
          description: Response message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````